eoFDCStat(3)

NAME
eoFDCStat - The FDC computation - stores the values into eoValueParam<EOT,double> so they can be snapshot by some eoGnuplotSnapshot ...

SYNOPSIS

#include <eoFDCStat.h>

Inherits eoStat< EOT, double >.

  Public Member Functions
eoFDCStat (eoDistance< EOT > &_dist, std::string _description='FDC')
Ctor without the optimum.
eoFDCStat (eoDistance< EOT > &_dist, EOT &_theBest, std::string _description='FDC')
Ctor with the optimum.
virtual void operator() (const eoPop< EOT > &_pop)
Compute the FDC - either from best in pop, or from absolute best if it was passed in the constructor.
const eoValueParam< std::vector< double > > & theDist ()
accessors to the private eoValueParam<std::vector<double> >
const eoValueParam< std::vector< double > > & theFit ()

  Private Attributes
eoDistance< EOT > & dist
EOT theBest
bool boolOpt
eoValueParam< std::vector< double > > distToBest
eoValueParam< std::vector< double > > fitnesses

Detailed Description

  template<class EOT> class eoFDCStat< EOT >
The FDC computation - stores the values into eoValueParam<EOT,double> so they can be snapshot by some eoGnuplotSnapshot ...

Definition at line 39 of file eoFDCStat.h.

Author

Generated automatically by Doxygen for EO from the source code.